import { GraphQLInputType, GraphQLType } from 'graphql';
import { AST } from 'graphql-tool-utilities/ast';
import Document from './document';
import { SpecialType } from './special-types';
export interface Options {
    addTypename: boolean;
}
export default class Context {
    ast: AST;
    options: Options;
    document: Document;
    typesUsed: Set<GraphQLInputType>;
    specialTypesUsed: Set<SpecialType>;
    importsUsed: Map<string, Set<string>>;
    constructor(ast: AST, options: Options);
    addUsedExternalFragments(fragments: string[]): void;
    addUsedImport(name: string, source: string): void;
    addUsedSpecialType(type: SpecialType): void;
    addUsedType(type: GraphQLType): void;
}
